/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.RedondeoCtrl;
import com.rjconsultores.ventaboletos.entidad.RedondeoMarca;
import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderRedondeoCtrl implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        RedondeoCtrl redondeoCtrl = (RedondeoCtrl) o;

        Listcell lc = new Listcell();

        lc = new Listcell(redondeoCtrl.getRedondeoctrlId().toString());
        lc.setParent(lstm);

        Boolean aplicaDescuento = redondeoCtrl.getIndaplicadescuento();
        if (aplicaDescuento) {
            lc = new Listcell(Labels.getLabel("MSG.SI"));
        } else {
            lc = new Listcell(Labels.getLabel("MSG.NO"));
        }
        lc.setParent(lstm);

        Boolean aplicaPricing = redondeoCtrl.getIndaplicapricing();
        if (aplicaPricing) {
            lc = new Listcell(Labels.getLabel("MSG.SI"));
        } else {
            lc = new Listcell(Labels.getLabel("MSG.NO"));
        }
        lc.setParent(lstm);

        StringBuilder sb = new StringBuilder();
        for (RedondeoMarca rm : redondeoCtrl.getRedondeoMarcaList()) {
            sb.append(rm.getMarca().getDescmarca()).append(", ");
        }
        lc = new Listcell(sb.toString());
        lc.setParent(lstm);
        
        lstm.setAttribute("data", redondeoCtrl);
    }
}
